summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2016-10-19 16:00:15 -0700
committerMatt Turner <mattst88@gentoo.org>2016-10-19 16:05:39 -0700
commitbc9b0338ec3172f9561f07f7ea9f5466308c62bf (patch)
treeca595cacb582383dd3ee00f4475240eb734bffaa /media-libs/mesa
parentmedia-libs/mesa: Version bump to 13.0.0-rc1. (diff)
downloadgentoo-bc9b0338ec3172f9561f07f7ea9f5466308c62bf.tar.gz
gentoo-bc9b0338ec3172f9561f07f7ea9f5466308c62bf.tar.bz2
gentoo-bc9b0338ec3172f9561f07f7ea9f5466308c62bf.zip
media-libs/mesa: Drop ancient version 7.10.3.
It was kept in the tree because version 8.0 removed various DRI drivers that did not have DRI2 support (mach64 mga r128 savage sis tdfx via). All those drivers are for quite ancient hardware.
Diffstat (limited to 'media-libs/mesa')
-rw-r--r--media-libs/mesa/Manifest2
-rw-r--r--media-libs/mesa/mesa-7.10.3.ebuild353
-rw-r--r--media-libs/mesa/metadata.xml1
3 files changed, 0 insertions, 356 deletions
diff --git a/media-libs/mesa/Manifest b/media-libs/mesa/Manifest
index bd02d0a3a87..ed3c47c800a 100644
--- a/media-libs/mesa/Manifest
+++ b/media-libs/mesa/Manifest
@@ -1,5 +1,4 @@
DIST MesaLib-10.3.7.tar.bz2 7287153 SHA256 43c6ced15e237cbb21b3082d7c0b42777c50c1f731d0d4b5efb5231063fb6a5b SHA512 bbc027c4146c42aaa160990f5281c71a342d32c10ba56f91da1a60dd4cb7d620ff49b72553d24bc1d87470e2baf9be81b5bdee9abe49d6acc57902fccb9e2e5f WHIRLPOOL 7fa32e70c6aabb84a06f2f852f77eac839aea08726c442742b3d3abdb94a0fd9f033439ab0cb16865f4ee14e1538cb86937856bbdfd1f9090e8e7c43eac52e03
-DIST MesaLib-7.10.3.tar.bz2 6056837 SHA256 1e701fc839b872677ddca9ed8784d754c9da1fbeda98173980e06aa7df0e85c0 SHA512 aa1f5f068b305fae5519e11cad2db9c6dc647d3122252bbcb210f13ac6ef1b667ae750344898bca7c5bfae94934db05eff915cb7417a59590e6d3ba230817aa8 WHIRLPOOL 5c2adda647936ed4163a4e4d5afad8344eb576712f9432f697aa0fc22ca17d7aaf0aeb6ad2d4e7e0825dc27cae570660332450778f8091e9b27aad2865c9b5fc
DIST mesa-11.0.6.tar.xz 7272972 SHA256 8340e64cdc91999840404c211496f3de38e7b4cb38db34e2f72f1642c5134760 SHA512 946a66803395ef0f4d3b328e981e03a87bb5173a523be5da1dd3363002fceacd8dcbfdbf9716e31bb4247b23cc5ef112b24bb4ef0709b514bc8160c6cbf1dbf3 WHIRLPOOL 19729acb5fbbcff3a99b4d7644750dff4a7a2d41c3f25f2e004938faf0c72abd33e97f5d23d2804f84b957824757b5f64f3a7f54a2dd8999b2a71eb9b1976e0b
DIST mesa-11.0.9.tar.xz 7282648 SHA256 a1262ff1c66a16ccf341186cf0e57b306b8589eb2cc5ce92ffb6788ab01d2b01 SHA512 8bf9c3bfe61f5d22182b9611d66051d83dfb302cc349921bc1d895acc8681b3e22e77cb360e2f12383fd928793b306f8f98998caa457dc04e3ff4e5561ea78f7 WHIRLPOOL a3477542b5ebfed9b69bd29e7f58a01b02c70d49399afb873744de08e776d712eaca3443f88dbdee25b1d3d35a4eb9dae75a3b9d7d6d652d41cded763836c59a
DIST mesa-11.1.4.tar.xz 7570840 SHA256 0f781e9072655305f576efd4204d183bf99ac8cb8d9e0dd9fc2b4093230a0eba SHA512 ee83649eb30d0545e0ee950e8a23791c7e4faa01125e9d39fe9ab474cc2813bc7c813b35ce261e837e7c5189fdb3446f5413317ed8663fbdb1083e1d04944ebd WHIRLPOOL d36921620d401cacfb985d66172519b5abcbeb85b2cceac69170139193cd13fda565dffc13858d39e073ea89c4affb4e3960b6013a19247be4e05aa0750d3e55
@@ -8,4 +7,3 @@ DIST mesa-12.0.1.tar.xz 8571144 SHA256 bab24fb79f78c876073527f515ed871fc9c81d816
DIST mesa-12.0.2.tar.xz 8576848 SHA256 d957a5cc371dcd7ff2aa0d87492f263aece46f79352f4520039b58b1f32552cb SHA512 61fcbc3af16fff53f4877c5731c10fffa32a75c2eda9706d27ffdf00bd65a2c36b4ece165049b02c7269088f0755d93f6646ebc031d4b3fc838e316a5fcb2617 WHIRLPOOL 0563260c5a01357535bdf69baa3af9975a4ea84c428283b85d73bedb9c4ac622cd2d6946ac19b8d2923c973417353f059b6c1f65db04e032d3b27339d34bcff0
DIST mesa-12.0.3.tar.xz 8577408 SHA256 1dc86dd9b51272eee1fad3df65e18cda2e556ef1bc0b6e07cd750b9757f493b1 SHA512 7d6525b5ed75e1361f3586aaf7f058de06b5038900a6379ab5f713ee879a0b3cecd253d6f3fb799673ef097bcd6866d61b46c33c0059f6636bb06fb5ceb5d750 WHIRLPOOL 88d77d445aaff7d96f9c44143c4b09763850d7dbffd6b0716a6204f6753ea84d155c97798e7959de0039f0babc8cffddc05845f385b9f39e6eb6f308921d379d
DIST mesa-13.0.0-rc1.tar.xz 9010476 SHA256 ae4fcaf51fdb9b81626ded3d44d42fd20437376793d961fb8e1727aae8658625 SHA512 72ede4c43ad823fc21ed8b68d8de74cbd38d54a0529750432cde6d6f7c886d84d6d8f5eb09bc1925233bdca2a3e87b8fb667ace64230d5aade05cc1d6883f577 WHIRLPOOL 80971ed0960e0f33ad5db785a70e3958aa3fdb438a768182df97e4a565b1a5625d600c4bced09b162bb2bf27c4f71b812a54089c7341cfb3e51f10501915a81d
-DIST mesa-7.10.1-gentoo-patches-01.tar.bz2 5488 SHA256 31cd4f6d1a0a70249c40452919074856d120cd473a01a8457e3dc147a1b622d8 SHA512 c62b45b32e396e67f629003fc5242b7b4df054b8e20b5237489212bc4f0171534915a02fc9efa68965068121d10660b5cd92a419efabe33fd4596a97a39249c2 WHIRLPOOL 5f171959e3a31f5c38438b4806ce371bb8fdf1c7a87501865e4ed5d5ab284cda9568b7773005997d7a1cff151f95e64c027b36c0be48a4dd288a7ab8b5f69b97
diff --git a/media-libs/mesa/mesa-7.10.3.ebuild b/media-libs/mesa/mesa-7.10.3.ebuild
deleted file mode 100644
index c896c155550..00000000000
--- a/media-libs/mesa/mesa-7.10.3.ebuild
+++ /dev/null
@@ -1,353 +0,0 @@
-# Copyright 1999-2016 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=3
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git"
- EXPERIMENTAL="true"
-fi
-
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/_rc*/}"
-[[ ${PV/_rc*/} == ${PV} ]] || FOLDER+="/RC"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-SRC_PATCHES="mirror://gentoo/${PN}-7.10.1-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-LICENSE="MIT LGPL-3 SGI-B-2.0"
-SLOT="0"
-KEYWORDS="alpha amd64 arm ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="intel"
-RADEON_CARDS="radeon"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- +classic debug +gallium gles llvm motif +nptl pic selinux kernel_FreeBSD hardened"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24"
-# not a runtime dependency of this package, but dependency of packages which
-# depend on this package, bug #342393
-EXTERNAL_DEPEND="
- >=x11-proto/dri2proto-2.2
- >=x11-proto/glproto-1.4.11
-"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="${EXTERNAL_DEPEND}
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- classic? ( app-eselect/eselect-mesa )
- gallium? ( app-eselect/eselect-mesa )
- >=app-eselect/eselect-opengl-1.1.1-r2
- dev-libs/expat
- dev-libs/libxml2[python]
- sys-libs/talloc
- x11-libs/libICE
- >=x11-libs/libX11-1.3.99.901
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- motif? (
- x11-libs/motif
- !x11-libs/libGLw )
- gallium? (
- llvm? (
- amd64? ( dev-libs/udis86 )
- x86? ( dev-libs/udis86 )
- x86-fbsd? ( dev-libs/udis86 )
- <sys-devel/llvm-3
- )
- )
- ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
- video_cards_nouveau? ( <x11-libs/libdrm-2.4.34 )
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- =dev-lang/python-2*
- virtual/pkgconfig
- sys-devel/bison
- sys-devel/flex
- x11-misc/makedepend
- x11-proto/inputproto
- >=x11-proto/xextproto-7.0.99.1
- x11-proto/xf86driproto
- x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # gcc 4.2 has buggy ivopts
- if [[ $(gcc-version) = "4.2" ]]; then
- append-flags -fno-ivopts
- fi
-
- # recommended by upstream
- append-flags -ffast-math
-
- python_set_active_version 2
- python_pkg_setup
-}
-
-src_unpack() {
- [[ $PV = 9999* ]] && git_src_unpack || base_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # FreeBSD 6.* doesn't have posix_memalign().
- if [[ ${CHOST} == *-freebsd6.* ]]; then
- sed -i \
- -e "s/-DHAVE_POSIX_MEMALIGN//" \
- configure.ac || die
- fi
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- sed -i -e 's/uint/unsigned int/g' src/egl/drivers/glx/egl_glx.c || die
- fi
-
- # In order for mesa to complete it's build process we need to use a tool
- # that it compiles. When we cross compile this clearly does not work
- # so we require mesa to be built on the host system first. -solar
- if tc-is-cross-compiler; then
- sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
- "${S}"/src/mesa/shader/slang/library/Makefile || die
- fi
-
- [[ $PV = 9999* ]] && git_src_prepare
- base_src_prepare
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_intel i810 i915 i965
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_radeon radeon r200 r300 r600
- driver_enable video_cards_mach64 mach64
- driver_enable video_cards_mga mga
- driver_enable video_cards_r128 r128
-
- driver_enable video_cards_savage savage
- driver_enable video_cards_sis sis
- driver_enable video_cards_tdfx tdfx
- driver_enable video_cards_via unichrome
- fi
-
- myconf="${myconf} $(use_enable gallium)"
- if use !gallium && use !classic; then
- ewarn "You enabled neither classic nor gallium USE flags. No hardware"
- ewarn "drivers will be built."
- fi
- if use gallium; then
- elog "You have enabled gallium infrastructure."
- elog "This infrastructure currently support these drivers:"
- elog " Intel: works only i915 and i965 somehow."
- elog " LLVMpipe: Software renderer."
- elog " Nouveau: Support for nVidia NV30 and later cards."
- elog " Radeon: Newest implementation of r300-r700 driver."
- elog " Svga: VMWare Virtual GPU driver."
- echo
- myconf="${myconf}
- --with-state-trackers=glx,dri,egl,vega
- $(use_enable llvm gallium-llvm)
- $(use_enable gles gles1)
- $(use_enable gles gles2)
- $(use_enable gles gles-overlay)
- $(use_enable video_cards_vmware gallium-svga)
- $(use_enable video_cards_nouveau gallium-nouveau)
- $(use_enable video_cards_intel gallium-i915)
- $(use_enable video_cards_intel gallium-i965)
- $(use_enable video_cards_radeon gallium-radeon)
- $(use_enable video_cards_radeon gallium-r600)"
- else
- if use video_cards_nouveau || use video_cards_vmware; then
- elog "SVGA and nouveau drivers are available only via gallium interface."
- elog "Enable gallium useflag if you want to use them."
- fi
- fi
-
- # bug 240956
- use x86 && myconf="${myconf} $(use_enable hardened glx-rts)"
-
- # --with-driver=dri|xlib|osmesa || do we need osmesa?
- econf \
- --disable-option-checking \
- --with-driver=dri \
- --disable-glut \
- --without-demos \
- --enable-xcb \
- $(use_enable debug) \
- $(use_enable motif glw) \
- $(use_enable motif) \
- $(use_enable nptl glx-tls) \
- $(use_enable !pic asm) \
- --with-dri-drivers=${DRI_DRIVERS} \
- ${myconf}
-}
-
-src_install() {
- base_src_install
-
- # Save the glsl-compiler for later use
- if ! tc-is-cross-compiler; then
- dobin "${S}"/src/glsl/glsl_compiler || die
- fi
- # Remove redundant headers
- # GLUT thing
- rm -f "${ED}"/usr/include/GL/glut*.h || die "Removing glut include failed."
- # Glew includes
- rm -f "${ED}"/usr/include/GL/{glew,glxew,wglew}.h \
- || die "Removing glew includes failed."
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.7.10" eselect-mesa.conf || die
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
- local x
- for x in "${ED}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "${S}/$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
diff --git a/media-libs/mesa/metadata.xml b/media-libs/mesa/metadata.xml
index cd38cd9042c..e0706e70131 100644
--- a/media-libs/mesa/metadata.xml
+++ b/media-libs/mesa/metadata.xml
@@ -13,7 +13,6 @@
<flag name="egl">Enable EGL support.</flag>
<flag name="gallium">Build drivers based on Gallium3D, the new architecture for 3D graphics drivers.</flag>
<flag name="gbm">Enable the Graphics Buffer Manager for EGL on KMS.</flag>
- <flag name="gles">Enable GLES (both v1 and v2) support.</flag>
<flag name="gles1">Enable GLESv1 support.</flag>
<flag name="gles2">Enable GLESv2 support.</flag>
<flag name="llvm">Enable LLVM backend for Gallium3D.</flag>